[med-svn] [Git][med-team/dssp][master] rename unit test

Maarten L. Hekkelman gitlab at salsa.debian.org
Thu Nov 26 18:55:34 GMT 2020



Maarten L. Hekkelman pushed to branch master at Debian Med / dssp


Commits:
41cadc1e by Maarten L. Hekkelman at 2020-11-26T19:55:29+01:00
rename unit test

- - - - -


1 changed file:

- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+set -x
+
+pkg="dssp"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp debian/tests/1cbs.cif $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+
+# simply run mkdssp on 1cbs, should produce an output file
+mkdssp 1cbs.cif 1cbs-dssp.cif
+[ -s 1cbs-dssp.cif ]
+
+mkdssp 1cbs.cif 1cbs-dssp.dssp
+[ -s 1cbs-dssp.dssp ]



View it on GitLab: https://salsa.debian.org/med-team/dssp/-/commit/41cadc1e83388a406176a945125ba71559556d7b

-- 
View it on GitLab: https://salsa.debian.org/med-team/dssp/-/commit/41cadc1e83388a406176a945125ba71559556d7b
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201126/59af6dc9/attachment-0001.html>


More information about the debian-med-commit mailing list